# Deploy a Contract

## **Setup Requirements**

* **Set up Inverter Network SDK**: Refer to the[ Quick Start](/sdk/typescript-sdk.md) guide for detailed instructions.

As we have some in house headless contracts and they can be used as dependancies to our `Worfklow`'s we have an SDK api for the deployment of contracts.

## Deploying the Contract

**Parameters**

* **`name` (required)**:\
  This parameter selects which contract to deploy.
* `args` **(required)**:\
  This parameter is used to tell the deployment what the contract arguments are.
* `useTags` **(optional):**\
  This parameter is to optionally disable auto format parse for inputs and outputs (default true).

{% code overflow="wrap" %}

```typescript
import { sdk } from '<your_sdk_export>'

const { deploy } = sdk

const { contractAddress, transactionHash } = await sdk.deploy.write({
      name: 'ERC20Issuance_Blacklist_v1', // Type safe names you can prompt the intellisense
      args: {
        name: 'My Token',
        symbol: 'MT',
        decimals: 18,
        maxSupply: '1000000',
        initialAdmin: deployer,
      },
    })
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inverter.network/sdk/typescript-sdk/deploy-a-contract.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
